Subject: Offline Message from Leah Albers: The rack on the back of my EB-9 was not cor
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 05 Jun 2022 00:18:13 -0000

From: Leah Albers <[email-masked]>
Phone: 4026414237
Location: Lincoln, United States
URL: https://swagtron.com/product/eb9-step-through-electric-city-bike-shimano-7-speed-removable-battery/?gclid=Cj0KCQjwheyUBhD-ARIsAHJNM-MrpXzJkgkPEMy0JOmA1WCMHtpeNJ3oUd3hDfhGf6VcWgmjygQp_tgaAskvEALw_wcB
Department: SwagTron

The rack on the back of my EB-9 was not correctly made.  The rack fin handle is facing down and the battery is upside down.  The battery appears to have been damaged when forced into the rack frame.  The battery will not come out.  Would it be possible to have another properly built rack and new battery sent to me?  If not I will need to know asap so I can return the bike to Amazon.  It was purchased on May 30, 2022 and arrived on June 2,2022.  The problem with the rack was not from shipping. I am happy to send a picture if that will help explain what I believe to be the issue.  Thanks for your time.

----
Zopim
https://www.zopim.com